Description

when adding files to playlist, I'm always surprised that the file window won't close...

I suppose this is good for people who want to add a lot of files fast...

BUT I'm always surprised, and I usually add only one folder to playlist...

and even if I wanted to add more, I could easily click "+" again :)

since this is such a basic thing, I'm sure you already have a settled down position on this :)

that's why I suggest considering adding a feature...

perhaps in:

settings / playlist / behavior

an option like:

_ |_| close file window after "ADD" is clicked :)

thanks for developing Audacious!!

History

#1 - September 21, 2018 14:51 - --peter josv.a.i

when adding files to playlist, I'm always surprised that the file window won't close...

I suppose this is good for people who want to add a lot of files fast...

BUT I'm always surprised, and I usually add only one folder to playlist...

and even if I wanted to add more, I could easily click "+" again :)

since this is such a basic thing, I'm sure you already have a settled down position on this :)

that's why I suggest considering adding a feature...

perhaps in:

settings / playlist / behavior

an option like:

|_| close file window after "ADD" is clicked :)

thanks for developing Audacious!!
#2 - September 21, 2018 17:20 - Thomas Lange

- File Screenshot.png added

This feature is implemented for ages, at least for the GTK+ version. Do you use the Qt interface?

#3 - September 27, 2018 15:44 - John Lindgren

- Status changed from New to Rejected

The "Add" dialog in the Qt version always closes automatically.  He must be using GTK.

#4 - September 28, 2018 11:26 - --peter josv.a.i

- File audacious-uninstall.txt added

- File audacious-2.png added

- File audacious.png added

I'm not sure if I can add a comment -- all I find is "edit" :)

I didn't mean to rob your time, and I also assumed that this behavior had long been dealt with...

the way I installed Audacious was a mainstream way (majority)

apt install audacious

my system (sorry for not adding it before, but the bug report surface was new to me):

linux mint 19, cinnamon 3.8.9

and audacious is identified as v "3.9 (ubuntu version)"

I uninstalled it and copied the text of what was removed (so as to see the package details)

then I reinstalled :) also installed it on an other linux mint 19 machine, same results: v 3.9

my point:

users that I represent with my sample use a mainstream OS, and whatever comes with that

and checking the audacious website's dl section,

I found:

source code (not for me),

windows version (not for me)

linux debian and derivatives - YES, this is it

how to? apt install audacious

so, it's either source code or apt install -- that is, apt install (unlike with KDENLIVE who provide an AppImage, for example, is the mainstream way to

get it)

consulting the the Audacious website:

it's 3.10 is the latest... one point difference, not a whole number... or not even many points like 3.13 would mean

so, this shouldn't be just a minority...

in fact, perhaps people who compile it from source in order to have the latest point upgrade may be a minority...

anyway, thank you, Thomas for your question, and NOT thank you, John for answering it "for me"...

and before all, sorry from both of you for not uploading my params

thank you for developing Audacious!!

PS:

I repeat, this is NOT  a problem for me at all... I can use Audacious perfectly...
#5 - October 05, 2018 21:10 - Thomas Lange

So have you noticed now the "Close dialog on add" checkbox in the bottom left corner of the dialog?

#6 - May 23, 2021 11:40 - --peter josv.a.i

Thomas Lange wrote:

So have you noticed now the "Close dialog on add" checkbox in the bottom left corner of the dialog?

 

now I have !! :) thanks :) :) (in 2021 May!)

#7 - May 23, 2021 11:41 - --peter josv.a.i

and sorry for the report
